var gen_docs = require('./lib/scripts/docGenerator.js');
var options = {
    useHtml5Mode: false,
    docular_webapp_target: 'target/docs',
    showAngularDocs: true,
    showDocularDocs: true,
    examples: {
        autoBootstrap: false,
        include: {
            angular: false,
            js: [
                '../Controls/doc_files/build.standalone.compiled.js',
                '../Controls/doc_files/start.js'
            ],
            css: [
                '../Controls/doc_files/standalone.css'
            ]
        }
    },
    groups: [
        {
            groupTitle: 'Mobile Controls',
            groupId: 'controls',
            groupIcon: 'icon-book',
            sections: [
                {
                    id: 'api',
                    title: 'API\'s',
                    scripts: [
                        '../Controls/src/main/resources/js/boot.js',
                        '../Controls/src/main/resources/js/build.all.js',
                        '../Controls/src/main/resources/js/build.standalone.js',
                        '../Controls/src/main/resources/js/config.js',
                        '../Controls/src/main/resources/js/cordova/PhoneDialer/index.js',
                        '../Controls/src/main/resources/js/cordova/PhoneDialer/src/PhoneDialer.js',
                        '../Controls/src/main/resources/js/cordova/index.js',
                        '../Controls/src/main/resources/js/core/Class/index.js',
                        '../Controls/src/main/resources/js/core/Class/src/Class.js',
                        '../Controls/src/main/resources/js/core/Events/index.js',
                        '../Controls/src/main/resources/js/core/Events/src/Composition.js',
                        '../Controls/src/main/resources/js/core/Startup/index.js',
                        '../Controls/src/main/resources/js/core/Startup/src/Register.js',
                        '../Controls/src/main/resources/js/core/Startup/src/Startup.js',
                        '../Controls/src/main/resources/js/core/index.js',
                        '../Controls/src/main/resources/js/data/AjaxClass/index.js',
                        '../Controls/src/main/resources/js/data/AjaxClass/src/AjaxClass.js',
                        '../Controls/src/main/resources/js/data/AjaxUpdate/index.js',
                        '../Controls/src/main/resources/js/data/AjaxUpdate/src/AjaxUpdate.js',
                        '../Controls/src/main/resources/js/data/DataModel/index.js',
                        '../Controls/src/main/resources/js/data/DataModel/src/DataModel.js',
                        '../Controls/src/main/resources/js/data/index.js',
                        '../Controls/src/main/resources/js/data/proxy/Memory/index.js',
                        '../Controls/src/main/resources/js/data/proxy/Memory/src/Memory.js',
                        '../Controls/src/main/resources/js/data/proxy/OData/index.js',
                        '../Controls/src/main/resources/js/data/proxy/OData/src/OData.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/index.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/JayData.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/Translater.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/delete.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/execFunc.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/execNestedQuery.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/execQuery.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/getOne.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/helper.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/responseHandler.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/JayData/src/updateOrCreate.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/Raw/index.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/Raw/src/Raw.js',
                        '../Controls/src/main/resources/js/data/proxy/ODataAdapters/index.js',
                        '../Controls/src/main/resources/js/data/proxy/Predicate/index.js',
                        '../Controls/src/main/resources/js/data/proxy/Predicate/src/Predicate.js',
                        '../Controls/src/main/resources/js/data/proxy/Query/index.js',
                        '../Controls/src/main/resources/js/data/proxy/Query/src/Query.js',
                        '../Controls/src/main/resources/js/data/proxy/index.js',
                        '../Controls/src/main/resources/js/deps.js',
                        '../Controls/src/main/resources/js/services/LocalStorage/index.js',
                        '../Controls/src/main/resources/js/services/LocalStorage/src/AsyncLocalStorage.js',
                        '../Controls/src/main/resources/js/services/LocalStorage/src/LocalStorage.js',
                        '../Controls/src/main/resources/js/services/Modal/index.js',
                        '../Controls/src/main/resources/js/services/Modal/src/Modal.js',
                        '../Controls/src/main/resources/js/services/PinService/index.js',
                        '../Controls/src/main/resources/js/services/PinService/src/PinService.js',
                        '../Controls/src/main/resources/js/services/System/Open/index.js',
                        '../Controls/src/main/resources/js/services/System/Open/src/Open.js',
                        '../Controls/src/main/resources/js/services/System/index.js',
                        '../Controls/src/main/resources/js/services/analytics/Google/index.js',
                        '../Controls/src/main/resources/js/services/analytics/Google/src/Google.js',
                        '../Controls/src/main/resources/js/services/analytics/index.js',
                        '../Controls/src/main/resources/js/services/animate/NavBack/index.js',
                        '../Controls/src/main/resources/js/services/animate/NavBack/src/NavBack.js',
                        '../Controls/src/main/resources/js/services/animate/NavForward/index.js',
                        '../Controls/src/main/resources/js/services/animate/NavForward/src/NavForward.js',
                        '../Controls/src/main/resources/js/services/animate/index.js',
                        '../Controls/src/main/resources/js/services/authentication/Login/index.js',
                        '../Controls/src/main/resources/js/services/authentication/Login/src/Login.js',
                        '../Controls/src/main/resources/js/services/authentication/RestLoginService/index.js',
                        '../Controls/src/main/resources/js/services/authentication/RestLoginService/src/RestLoginService.js',
                        '../Controls/src/main/resources/js/services/authentication/SecurityCheck/index.js',
                        '../Controls/src/main/resources/js/services/authentication/SecurityCheck/src/SecurityCheck.js',
                        '../Controls/src/main/resources/js/services/authentication/SecurityCheck/src/SecurityResolver.js',
                        '../Controls/src/main/resources/js/services/authentication/VIM/index.js',
                        '../Controls/src/main/resources/js/services/authentication/VIM/src/VIM.js',
                        '../Controls/src/main/resources/js/services/authentication/index.js',
                        '../Controls/src/main/resources/js/services/index.js',
                        '../Controls/src/main/resources/js/util/Can/index.js',
                        '../Controls/src/main/resources/js/util/Can/src/Can.js',
                        '../Controls/src/main/resources/js/util/DeviceService/index.js',
                        '../Controls/src/main/resources/js/util/DeviceService/src/DeviceService.js',
                        '../Controls/src/main/resources/js/util/DisplayWith/index.js',
                        '../Controls/src/main/resources/js/util/DisplayWith/src/DisplayWith.js',
                        '../Controls/src/main/resources/js/util/HasProp/index.js',
                        '../Controls/src/main/resources/js/util/HasProp/src/HasProp.js',
                        '../Controls/src/main/resources/js/util/Internationalize/index.js',
                        '../Controls/src/main/resources/js/util/Internationalize/src/Internationalize.js',
                        '../Controls/src/main/resources/js/util/Logger/index.js',
                        '../Controls/src/main/resources/js/util/Logger/src/Logger.js',
                        '../Controls/src/main/resources/js/util/Validation/index.js',
                        '../Controls/src/main/resources/js/util/Validation/src/Validation.js',
                        '../Controls/src/main/resources/js/util/index.js',
                        '../Controls/src/main/resources/js/widgets/Address/index.js',
                        '../Controls/src/main/resources/js/widgets/Address/src/Address.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Controls/index.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Controls/src/Controls.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Main/index.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Main/src/Main.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Service/index.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Service/src/Service.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Table/index.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/Table/src/Table.js',
                        '../Controls/src/main/resources/js/widgets/Calendar/index.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Main/index.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Main/src/Main.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Menu/index.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Menu/src/Menu.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Menu/src/MenuItem.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Next/index.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Next/src/Carousel.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Next/src/CarouselCtrl.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Pane/index.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Pane/src/Pane.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/Pane/src/Panes.js',
                        '../Controls/src/main/resources/js/widgets/Carousel/index.js',
                        '../Controls/src/main/resources/js/widgets/Chart/index.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Directives/BarChart.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Directives/Legend.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Directives/Meter.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Directives/PieChart.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/Charts/Bar/index.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/Charts/Bar/src/Bar.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/Charts/Meter/index.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/Charts/Meter/src/Meter.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/Charts/Pie/index.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/Charts/Pie/src/Pie.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/index.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Modules/merge.js',
                        '../Controls/src/main/resources/js/widgets/Chart/src/Service/Constructor.js',
                        '../Controls/src/main/resources/js/widgets/HeaderMenu/index.js',
                        '../Controls/src/main/resources/js/widgets/HeaderMenu/src/HeaderMenu.js',
                        '../Controls/src/main/resources/js/widgets/List/index.js',
                        '../Controls/src/main/resources/js/widgets/List/src/List.js',
                        '../Controls/src/main/resources/js/widgets/Map/index.js',
                        '../Controls/src/main/resources/js/widgets/Map/src/Map.js',
                        '../Controls/src/main/resources/js/widgets/Menu/Group/index.js',
                        '../Controls/src/main/resources/js/widgets/Menu/Group/src/Group.js',
                        '../Controls/src/main/resources/js/widgets/Menu/Item/index.js',
                        '../Controls/src/main/resources/js/widgets/Menu/Item/src/Item.js',
                        '../Controls/src/main/resources/js/widgets/Menu/Main/index.js',
                        '../Controls/src/main/resources/js/widgets/Menu/Main/src/Main.js',
                        '../Controls/src/main/resources/js/widgets/Menu/index.js',
                        '../Controls/src/main/resources/js/widgets/Notification/index.js',
                        '../Controls/src/main/resources/js/widgets/Notification/src/Notification.js',
                        '../Controls/src/main/resources/js/widgets/Overlay/index.js',
                        '../Controls/src/main/resources/js/widgets/Overlay/src/Overlay.js',
                        '../Controls/src/main/resources/js/widgets/Panel/index.js',
                        '../Controls/src/main/resources/js/widgets/Panel/src/Panel.js',
                        '../Controls/src/main/resources/js/widgets/PickerSearch/index.js',
                        '../Controls/src/main/resources/js/widgets/PickerSearch/src/PickerSearch.js',
                        '../Controls/src/main/resources/js/widgets/Revealer/index.js',
                        '../Controls/src/main/resources/js/widgets/Revealer/src/Revealer.js',
                        '../Controls/src/main/resources/js/widgets/SideMenu/index.js',
                        '../Controls/src/main/resources/js/widgets/SideMenu/src/SideMenu.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Main/index.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Main/src/Main.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Pane/index.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Pane/src/Pane.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Pane/src/Panes.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Tab/index.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Tab/src/TabHeader.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/Tab/src/TabHeaders.js',
                        '../Controls/src/main/resources/js/widgets/Tabs/index.js',
                        '../Controls/src/main/resources/js/widgets/TimePicker/index.js',
                        '../Controls/src/main/resources/js/widgets/TimePicker/src/TimePicker.js',
                        '../Controls/src/main/resources/js/widgets/Wait/index.js',
                        '../Controls/src/main/resources/js/widgets/Wait/src/Wait.js',
                        '../Controls/src/main/resources/js/widgets/behaviors/Collapsible/index.js',
                        '../Controls/src/main/resources/js/widgets/behaviors/Collapsible/src/Collapsible.js',
                        '../Controls/src/main/resources/js/widgets/behaviors/PullToRefresh/index.js',
                        '../Controls/src/main/resources/js/widgets/behaviors/PullToRefresh/src/PullToRefresh.js',
                        '../Controls/src/main/resources/js/widgets/behaviors/index.js',
                        '../Controls/src/main/resources/js/widgets/forms/CheckBox/index.js',
                        '../Controls/src/main/resources/js/widgets/forms/CheckBox/src/CheckBox.js',
                        '../Controls/src/main/resources/js/widgets/forms/Select/index.js',
                        '../Controls/src/main/resources/js/widgets/forms/Select/src/Select.js',
                        '../Controls/src/main/resources/js/widgets/forms/Switch/index.js',
                        '../Controls/src/main/resources/js/widgets/forms/Switch/src/Switch.js',
                        '../Controls/src/main/resources/js/widgets/forms/TextBox/index.js',
                        '../Controls/src/main/resources/js/widgets/forms/TextBox/src/TextBox.js',
                        '../Controls/src/main/resources/js/widgets/forms/index.js',
                        '../Controls/src/main/resources/js/widgets/index.js'
                    ]
                }
            ]
        },
        {
            groupTitle: 'Mobile Styleguide',
            groupId: 'styleguide',
            groupIcon: 'icon-beer',
            sections: [
                {
                    id: 'styleguide',
                    title: 'Basic Styles',
                    docs: [
                        '../Controls/src/main/resources/sass/examples/buttons.ngdoc',
                        '../Controls/src/main/resources/sass/examples/external_resources.ngdoc',
                        '../Controls/src/main/resources/sass/examples/layouts.ngdoc',
                        '../Controls/src/main/resources/sass/index.ngdoc'
                    ]
                }
            ]
        }
    ],
    discussions: {
        shortName: 'controlsapi',
        url: 'http://botd-macmini.devop.vertafore.com/',
        dev: false
    },
    plugins: [require('docular-ng-plugin')]
};

gen_docs.generate(options);